Commit 4cd616bd authored by Luke Schoen's avatar Luke Schoen Committed by Maciej Hirsz
Browse files

fix: Relates to #140. Update React Native to 0.56 (#209)

* fix: Relates to #140. Update React Native to 0.57.8

* fix: Bump CI and required Node.js version in package.json to Node 8

* chore: Update dependencies. Cannot update to reactive-native 0.58.3

* fix: Add @babel/plugin-proposal-class-properties

* chore: Boost version of babel-preset-react-native to 5.0.2

* chore: Update to React Native 0.56 to fix Cannot find module 'setupDevtools' from 'setup.js' error

* fix: Fixes error ReferenceError: regeneratorRuntime is not defined
parent 35c298f5
{
"presets": ["react-native"]
}
---
language: node_js
node_js:
- 7
- 8
cache:
directories:
......
module.exports = {
plugins: [
'@babel/plugin-proposal-class-properties',
'@babel/plugin-transform-runtime'
],
presets: [
'@babel/preset-env',
'@babel/preset-react',
'react-native'
]
};
......@@ -3,6 +3,10 @@
"version": "0.0.1",
"private": true,
"license": "GPL-3.0",
"engines": {
"node": ">=8.3",
"yarn": "^1.3.2"
},
"scripts": {
"build-rust-ios": "cd rust/signer && make ios",
"build-rust-android": "cd rust/signer && make android",
......@@ -14,12 +18,13 @@
"commit": ""
},
"dependencies": {
"@babel/runtime": "^7.3.1",
"bignumber.js": "^4.0.0",
"debounce": "^1.0.0",
"hoist-non-react-statics": "^2.5.0",
"prop-types": "^15.6.1",
"react": "16.3.1",
"react-native": "0.55.3",
"react": "^16.7.0",
"react-native": "0.56",
"react-native-camera": "^1.9.0",
"react-native-keyboard-aware-scroll-view": "^0.5.0",
"react-native-markdown-renderer": "^3.2.8",
......@@ -32,14 +37,20 @@
"unstated": "^2.1.1"
},
"devDependencies": {
"babel-eslint": "^7.2.1",
"babel-jest": "18.0.0",
"babel-preset-react-native": "1.9.1",
"jest": "18.1.0",
"@babel/cli": "^7.0.0-beta.56",
"@babel/core": "^7.0.0-beta.56",
"@babel/plugin-proposal-class-properties": "^7.3.0",
"@babel/plugin-transform-runtime": "^7.2.0",
"@babel/preset-env": "^7.0.0-beta.56",
"@babel/preset-react": "^7.0.0-beta.56",
"babel-eslint": "^10.0.1",
"babel-jest": "24.0.0",
"babel-preset-react-native": "5.0.2",
"jest": "24.0.0",
"jest-react-native": "^18.0.0",
"pre-git": "^3.14.0",
"prettier": "1.12.1",
"reactotron-react-native": "^1.14.0"
"reactotron-react-native": "^2.1.5"
},
"rnpm": {
"assets": [
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment